Apache Tomcat 6.0.51

## org.apache.catalina.ant
Class JMXQueryTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.BaseRedirectorHelperTask
                  org.apache.catalina.ant.AbstractCatalinaTask
                      org.apache.catalina.ant.JMXQueryTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class JMXQueryTask

extends AbstractCatalinaTask

Ant task that implements the JMX Query command (`/jmxproxy/?qry`) supported by the Tomcat manager application.

Author:
  Vivek Chopra

Field Summary
`protected java.lang.String` | `query` The JMX query string

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`charset, password, url, username`

Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`JMXQueryTask()`

Method Summary
`void` | `execute()` Execute the requested operation.
`java.lang.String` | `getQuery()` Get method for the JMX query string
`void` | `setQuery(java.lang.String query)` Set method for the JMX query string.

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getCharset, getPassword, getUrl, getUsername, setCharset, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    protected java.lang.String query

  The JMX query string

  See Also:
    `setQuery(String)`

Constructor Detail

### JMXQueryTask

    public JMXQueryTask()

Method Detail

### getQuery

    public java.lang.String getQuery()

  Get method for the JMX query string

  Returns:
    Query string

### setQuery

    public void setQuery(java.lang.String query)

  Set method for the JMX query string.

  Examples of query format:

  - *:*
  - *:type=RequestProcessor,*
  - *:j2eeType=Servlet,*
  - Catalina:type=Environment,resourcetype=Global,name=simpleValue

  Parameters:
    `query` - JMX Query string

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.